Apache HTTP Server Request Library

Data Fields
apreq_handle_t Struct Reference

`#include <apreq_module.h>`

## Data Fields

const struct apreq_module_t * | module
apr_pool_t * | pool
apr_bucket_alloc_t * | bucket_alloc

## Detailed Description

An apreq handle associated with a module. The structure may have variable size, because the module may append its own data structures after it.

## Field Documentation

## ◆ bucket_alloc

apr_bucket_alloc_t* apreq_handle_t::bucket_alloc

the allocator, which persists at least as long as the pool

## ◆ module

const struct apreq_module_t* apreq_handle_t::module

the apreq module which implements this handle

## ◆ pool

apr_pool_t* apreq_handle_t::pool

the pool which defines the lifetime of the parsed data

The documentation for this struct was generated from the following file:

- include/apreq_module.h